#!/bin/bash
global_nginx_container_name="${1:?}"
compose_ctx="${2:?}"
reverse_fqdn_cert_id="${3:?}"

rsync -av '/opt/docker-data/'"${global_nginx_container_name}"'/nginx/conf/certs/'"${reverse_fqdn_cert_id}"'.key' '/opt/docker-data/zabbixserver-'"${compose_ctx}"'/zabbixwebnginx/config/cert/ssl.key'
rsync -av '/opt/docker-data/'"${global_nginx_container_name}"'/nginx/conf/certs/'"${reverse_fqdn_cert_id}"'_fullchain.cer' '/opt/docker-data/zabbixserver-'"${compose_ctx}"'/zabbixwebnginx/config/cert/ssl.crt'
chown -v -R '101:101' '/opt/docker-data/zabbixserver-loft/zabbixwebnginx/config/cert'
if systemctl --quiet is-active docker.service; then
    if [ "$( docker container inspect -f '{{.State.Running}}' "${global_nginx_container_name}" 2> /dev/null )" = "true" ]; then
        docker exec -t "${global_nginx_container_name}" sh -c 'nginx -t &>/dev/null' && \
        docker kill --signal SIGHUP "${global_nginx_container_name}"
    fi
    if [ "$( docker container inspect -f '{{.State.Running}}' 'zabbixserver-zabbixwebnginx-'"${compose_ctx}" 2> /dev/null )" = "true" ]; then
        docker exec -t 'zabbixserver-zabbixwebnginx-'"${compose_ctx}" sh -c 'nginx -t &>/dev/null' && \
        docker kill --signal SIGHUP 'zabbixserver-zabbixwebnginx-'"${compose_ctx}"
    fi
fi
